CREATE TABLE cst_pac_user_adj_hdrs_int (
    REQUEST_ID                   NUMBER(18, 0) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(120) ,
    ADJUSTMENT_TYPE              VARCHAR2(120)     NOT NULL,
    ADJUSTMENT_DATE              TIMESTAMP(6)      NOT NULL,
    COST_ORG_CODE                VARCHAR2(960)     NOT NULL,
    COST_BOOK_CODE               VARCHAR2(120)     NOT NULL,
    ITEM_NUMBER                  VARCHAR2(4000)    NOT NULL,
    VAL_UNIT_CODE                VARCHAR2(4000)    NOT NULL,
    PERIOD_NAME                  VARCHAR2(60)      NOT NULL,
    ADJUSTMENT_REASON_CODE       VARCHAR2(800)     NOT NULL,
    CODE_COMBINATION_ID          NUMBER(18, 0) ,
    UOM_CODE                     VARCHAR2(12)  ,
    CURRENCY_CODE                VARCHAR2(60)  ,
    PROCESSED_FLAG               VARCHAR2(4)   ,
    ERROR_MESSAGE                VARCHAR2(240) ,
    PROCESSING_STATUS            VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(120) ,
    ADJUSTMENT_TYPE              VARCHAR2(120)     NOT NULL,
    ADJUSTMENT_DATE              TIMESTAMP(6)      NOT NULL,
    COST_ORG_CODE                VARCHAR2(960)     NOT NULL,
    COST_BOOK_CODE               VARCHAR2(120)     NOT NULL,
    ITEM_NUMBER                  VARCHAR2(4000)    NOT NULL,
    VAL_UNIT_CODE                VARCHAR2(4000)    NOT NULL,
    PERIOD_NAME                  VARCHAR2(60)      NOT NULL,
    ADJUSTMENT_REASON_CODE       VARCHAR2(800)     NOT NULL,
    CODE_COMBINATION_ID          NUMBER(18, 0) ,
    UOM_CODE                     VARCHAR2(12)  ,
    CURRENCY_CODE                VARCHAR2(60)  ,
    PROCESSED_FLAG               VARCHAR2(4)   ,
    ERROR_MESSAGE                VARCHAR2(240) ,
    PROCESSING_STATUS            VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CONSTRAINT pk_cst_pac_user_adj_hdrs_int PRIMARY KEY (EXTERNAL_SYSTEM_REFERENCE, EXTERNAL_SYSTEM_REF_ID, EXTERNAL_SYSTEM_REFERENCE, EXTERNAL_SYSTEM_REF_ID)
);
